HomePage > Software Index > Office

 (image: http://www.smokey01.com/coolpup/foxitreader48.png)

Foxit Reader

PDF file viewing

Installation
Install an appropriate package-
foxitreader-1.1.0-20090810.pet - with help files
foxitreader-1.1.0-20090810-lite.pet - without help files
foxitreader-1.1.0-20090810-cjk.pet - Chinese, Japanese & Korean support



Also on the Wiki

Foxit Software
Forum topic



Categories
CategoryOffice
CategorySoftware
Comments [Hide comments]
Comment by dsl-74-220-68-25.dhcp.cruzio.com
2009-08-17 11:50:46
Puppy Linux 4.3beta1
foxitreader-1.1.0-20090810-lite_423.sfs will not load
foxitreader-1.1.0-20090810.pet crashes when opening any pdf

Are these not yet compatible with 4.3beta1?
Comment by 74.220.68.25
2009-09-16 16:19:52
Trying again with Puppy 4.3b3 (aka 425) and
foxitreader-1.1.0-20090810.pet

foxitreader will open, starts to display BUT then crashes with any PDF.
All those PDFs open in PDF Viewer 0.1.7

Tried on two different notebook computers
hp pavilion ze4125
dell latitude cpx
Comment by 74.220.68.25
2009-09-19 22:52:04
Tried again with Puppy 430 final... same.
Then... I downloaded Foxit 1.1 from Foxit Software Company with the same result.
Foxit Reader starts, can access all menus and preferences but it crashes when opening a pdf.
I wrote to tech support.
I tried the same download Foxit 1.1 with Ubuntu 8.10 kernel 2.6.27.9-generic and it works.
Something missing from Puppy?
Comment by 74.220.68.25
2009-09-20 12:26:13
ttuuxxx suggested I try Foxit 1.0 but that quit when opening any pdf...
--BUT--
On ttuuxxx's page to download Foxit was this message from MrToad:
Just in case anyone else finds Foxit vanishes after trying to load a file...
I changed my Xorg colour depth from 16 bits to 24 bits and everything was then fine.

I had the same happy result even with Foxit 1.1
It works! when color depth is set to 24-bits
Comment by 58.110.56.60
2010-02-08 21:36:40
Found that the help file won't open when links are used, if run directly from /usr/bin/foxitreader, help file is ok, strange.
Comment by 58.110.56.60
2010-02-08 22:05:19
Help file fix is to place a link to " fum.fhd " into the /root directory
Comment by darkcity
2011-10-20 08:00:28
I got the following error (in terminal) opening a file that was okay with PDFview (puppy528)

((½treader:16530): Gdk-WARNING **: /build/buildd/gtk+2.0-2.20.0/gdk/gdkpixbuf-drawable.c:1247: Source drawable has no colormap; either pass in a colormap, or set the colormap on the drawable with gdk_drawable_set_colormap()

((½treader:16530): Gdk-WARNING **: The gdk_draw_*_image require the drawable argument to
have a specified colormap. All windows have a colormap,
however, pixmaps only have colormap by default if they
were created with a non-NULL window argument. Otherwise
a colormap must be set on them with gdk_drawable_set_colormap

((½treader:16530): Gdk-WARNING **: Attempt to draw a drawable with depth 24 to a drawable with depth 16
The program '(½treader' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
(Details: serial 5418 error_code 8 request_code 70 minor_code 0)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)
Valid XHTML :: Valid CSS: :: Powered by WikkaWiki